Subject: bug#71623: [NS/macOS build] No easy way to launch two instances

From: Dmitry Gutov <[email-masked]>
Date: Tue, 18 Jun 2024 03:37:45 +0300

When I'm working in GNU/Linux (and IIRC probably the same applies to MS 
Windows), I can Ctrl-click the dock icon for Emacs to launch a new 
instance of Emacs in addition to the already running one.

Then I can switch between them with Alt-` like between any other windows 
belonging to the same application.

This isolates buffers I open in one of them to just that instance, which 
I can close using 'C-x C-c' when I don't need them anymore.

The same doesn't work in macOS. Not only does Ctrl-click do something 
else (and Cmd-click, and Option-click), but on the odd occasion that the 
new instance gets launched from an external app (I somehow got it 
associated with *.xml files in Finder), it uses a separate spot on the 
dock, not the same one (it also opens two frames at one for some reason).

Could this scenario become supported? Ctrl-clicking currently shows a 
menu that includes "New Frame". Could it have a "New Instance" item as 
well? And group different processes under the same icon, with quick 
switching with Cmd-`.